Thank you. I appreciate your support!!

-seth

On Fri, Jul 23, 2010 at 2:43 PM, Michael Kay <mike@saxonica.com> wrote:
I've moved 9.2.0.6 back into the Saxon-HE/9.2 directory. So it should be accessible at

https://sourceforge.net/projects/saxon/files/Saxon-HE/9.2/saxonhe9-2-0-6j.zip/download

Michael Kay
Saxonica


On 23/07/2010 18:34, seth park wrote:
I can not download from that link.

Can you please send as attachment?

I will talk to my colleague (Bob Beims) about upgrading; he does not think we can.

We will begin to archive on our side, too.

Thank you very much.

-seth



On Fri, Jul 23, 2010 at 10:38 AM, Michael Kay <mike@saxonica.com> wrote:
On 23/07/2010 15:15, seth park wrote:
No problem. Can you help me find HE 9.2.0.6J?

Good question. It's at https://sourceforge.net/downloads/saxon/OldFiles/9.2/saxonhe9-2-0-6j.zip, but as it's marked "old", I'm not sure you are able to download it. Let me know (I can, but I have special permissions on the project).

Could I suggest that you compile under Saxon-EE 9.2.1.1, and then run under Saxon-HE 9.2.1.1?

Since this creates a good reason for users to download older releases of the software, I will try to remember to keep older releases available in future.

Michael Kay
Saxonica



-seth

On Thu, Jul 22, 2010 at 5:25 PM, Michael Kay <mike@saxonica.com> wrote:
I'm afraid it's a documented restriction of the compiled stylesheet facility that the code must be run under exactly the same Saxon version number as the version used to compile the code. (There are quite a few usability restrictions in this product feature, I'm afraid. Ideally I would like to redesign the whole thing, but there are people using it successfully despite the restrictions, so I've retained it in the product.)

Michael Kay
Saxonica


On 21/07/2010 23:19, seth park wrote:
I successfully compiled a stylesheet using Saxon9ee version 9.2.0.6J.

When I try to use it with Saxon9he version 9.2.0.2J using this command:

      java net.sf.saxon.Transform -o:output.pdf -s:input.xml -c:compiled.sxx

I get this error:

      java.io.InvalidClassException: net.sf.saxon.sort.StandardCollationURIResolver;
      local class incompatible: stream classdesc serialVersionUID = 154476477984496977,
      local class serialVersionUID = -1039487082586763537

Can you point me in the right direction?


-seth park
------------------------------------------------------------------------------ This SF.net email is sponsored by Sprint What will you do first with EVO, the first 4G phone? Visit sprint.com/first -- http://p.sf.net/sfu/sprint-com-first
_______________________________________________ saxon-help mailing list archived at http://saxon.markmail.org/ saxon-help@lists.sourceforge.net https://lists.sourceforge.net/lists/listinfo/saxon-help


------------------------------------------------------------------------------
This SF.net email is sponsored by Sprint
What will you do first with EVO, the first 4G phone?
Visit sprint.com/first -- http://p.sf.net/sfu/sprint-com-first
_______________________________________________
saxon-help mailing list archived at http://saxon.markmail.org/
saxon-help@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/saxon-help

------------------------------------------------------------------------------ This SF.net email is sponsored by Sprint What will you do first with EVO, the first 4G phone? Visit sprint.com/first -- http://p.sf.net/sfu/sprint-com-first
_______________________________________________ saxon-help mailing list archived at http://saxon.markmail.org/ saxon-help@lists.sourceforge.net https://lists.sourceforge.net/lists/listinfo/saxon-help


------------------------------------------------------------------------------
This SF.net email is sponsored by Sprint
What will you do first with EVO, the first 4G phone?
Visit sprint.com/first -- http://p.sf.net/sfu/sprint-com-first
_______________________________________________
saxon-help mailing list archived at http://saxon.markmail.org/
saxon-help@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/saxon-help

------------------------------------------------------------------------------ This SF.net email is sponsored by Sprint What will you do first with EVO, the first 4G phone? Visit sprint.com/first -- http://p.sf.net/sfu/sprint-com-first
_______________________________________________ saxon-help mailing list archived at http://saxon.markmail.org/ saxon-help@lists.sourceforge.net https://lists.sourceforge.net/lists/listinfo/saxon-help


------------------------------------------------------------------------------
This SF.net email is sponsored by Sprint
What will you do first with EVO, the first 4G phone?
Visit sprint.com/first -- http://p.sf.net/sfu/sprint-com-first
_______________________________________________
saxon-help mailing list archived at http://saxon.markmail.org/
saxon-help@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/saxon-help